/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Group Expr</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.methodname.methodName.GroupExpr#isHasNot <em>Has Not</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.GroupExpr#getExpr <em>Expr</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.GroupExpr#getCard <em>Card</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getGroupExpr()
 * @model
 * @generated
 */
public interface GroupExpr extends Expr
{
  /**
   * Returns the value of the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Has Not</em>' attribute.
   * @see #setHasNot(boolean)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getGroupExpr_HasNot()
   * @model
   * @generated
   */
  boolean isHasNot();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.GroupExpr#isHasNot <em>Has Not</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Has Not</em>' attribute.
   * @see #isHasNot()
   * @generated
   */
  void setHasNot(boolean value);

  /**
   * Returns the value of the '<em><b>Expr</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Expr</em>' containment reference.
   * @see #setExpr(Expr)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getGroupExpr_Expr()
   * @model containment="true"
   * @generated
   */
  Expr getExpr();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.GroupExpr#getExpr <em>Expr</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Expr</em>' containment reference.
   * @see #getExpr()
   * @generated
   */
  void setExpr(Expr value);

  /**
   * Returns the value of the '<em><b>Card</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.CardinalityModifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Card</em>' attribute.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see #setCard(CardinalityModifier)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getGroupExpr_Card()
   * @model
   * @generated
   */
  CardinalityModifier getCard();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.GroupExpr#getCard <em>Card</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Card</em>' attribute.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see #getCard()
   * @generated
   */
  void setCard(CardinalityModifier value);

} // GroupExpr
